Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: DOOM 2016\Wine 1.9.18\поддержка vulkan.dll  (Прочитано 2030 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн dj--alex

  • Автор темы
  • Старожил
  • *
  • Сообщений: 3195
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
DOOM 2016\Wine 1.9.18\поддержка vulkan.dll
« : 12 Сентябрь 2016, 20:47:03 »
Поделитесь пожалуйста vulkan.dll для игры в Doom на Linux.  нет такой DLL ки в папке игры откуда взять е зн.а.  люди говорят работает. но откуда они взяли? ?  err:module:attach_process_dlls "vulkan.dll" failed to initialize, aborting ц   

Ubuntu 16 x64 , но я думаю какая система для wine особо не важно
Wine 1.9.18


Пользователь добавил сообщение 13 Сентябрь 2016, 04:26:47:
ну люди же отчитывались из под Wine
оказалось она типа должна поддерживатся драйвером , да.

Но я не знаю  есть ли в Nvidia 370 поддержка Vulkan
поставил libvulkan,  vulkaninfo ,  показывает что вроде как вулкан есть
по крайней мере сообдщение о вулкане исчезло без копирования ДЛЛ (оно кстати не помогло,убрал их )


тут в этом PPA всё устарело такое впечатление что на целый год
https://launchpad.net/~canonical-x/+archive/ubuntu/vulkan
364 оттуда не ставил.
И Лунар СДК тоже не ставил
https://lunarg.com/vulkan-sdk/ - не знаю нужен он или нет.

для Talos principle  вулкан версия игры нативная отлично работала
а дурдом 2016 виснет.

« Последнее редактирование: 26 Октябрь 2016, 22:55:46 от Butjapka »
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
http://forum.ubuntu.ru/index.php?topic=199897.0

Оффлайн dj--alex

  • Автор темы
  • Старожил
  • *
  • Сообщений: 3195
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
Re: DOOM 2016 и vulkan.dll
« Ответ #1 : 14 Сентябрь 2016, 16:50:21 »
решение проблемы - установка libvulkan игру не запустило
но с вулканом всё в порядке.
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
http://forum.ubuntu.ru/index.php?topic=199897.0

Оффлайн JR224

  • Участник
  • *
  • Сообщений: 134
    • Просмотр профиля
Re: DOOM 2016\Wine 1.9.18\поддержка vulkan.dll
« Ответ #2 : 31 Октябрь 2016, 16:20:03 »
dj--alex, если вам ещё интересно, то у меня к примеру в Винде на вулкане не запустилась. Странная игренция от и до. Сначала отказалась вообще запускаться под Вин на 344.48 драйвере. Пришлось качать и ставить на тот момент 372.90 что ли. Игра запустилась , но при настройках что бы на вулкане - нет. Вылеты, висяки. Подозреваю что нужен другой видеодрайвер. Именно заточенный под Вулкан. Я забыстрогуглил по нвидия-вулкан-винда, что то типо, и да, у них там где то лежат дровишки именно с поддержкой вулкан. Это я так понял. Но пробовать не стал. Думаю в Вайн нечто подобное. Ни о чём игра по мне, от и до. Не стоит усилий. По мне. Даже под Вин, не то что под бунтой.

Оффлайн Tarik

  • Участник
  • *
  • Сообщений: 161
    • Просмотр профиля
Re: DOOM 2016\Wine 1.9.18\поддержка vulkan.dll
« Ответ #3 : 09 Ноябрь 2017, 01:15:10 »
Игруля, что надо. Симулятор Сталина. Гораздо прикольнее Дума 3. Дум 3 я прошел с большим трудом. Обычно я бросаю игры, но Дум 3 решил добить, тем более, что все время казалось, что вот он долгожданный конец... Но нет... возвращаешься обратно, и по новой по тем же коридорам... Бррр... А Дум 2016 шикарен, и мульт тоже прикольный.
У меня Минт 18 Сара, а не Ubuntu, но не суть.
Работает игра прекрасно под вайном: https://appdb.winehq.org/objectManager.php?sClass=version&iId=33711
Я попробовал под самым последним вайном версии 2.20-staging - все отлично, только Вулкан не работает, но мне не критично, у меня и так стабильно 60 фпс. Даже не могу сказать, где лучше игра идет: под Вайном или под Виндой. Одинаково.
И не нужен этот дурацкий PlayOnLinux. Просто устанавливаете свежую staging версию вайна и должно работать из коробки с дефолтными настройками, а Стим сам загрузит, что ему надо.


Пользователь добавил сообщение 09 Ноябрь 2017, 02:00:23:
Нагуглил про неработающий Вулкан на картах Nvidia.
Надо поменять путь к библиотеке "library_path" в файле /usr/share/vulkan/icd.d/nvidia_icd.json
Вместо "libGL.so.1" написать: "libGLX_nvidia.so.0"
Мне помогло.
« Последнее редактирование: 09 Ноябрь 2017, 02:00:23 от Tarik »

Оффлайн таймыр

  • Новичок
  • *
  • Сообщений: 4
  • мучача
    • Просмотр профиля
Re: DOOM 2016\Wine 1.9.18\поддержка vulkan.dll
« Ответ #4 : 18 Декабрь 2017, 07:49:09 »
На торренте написано это  Wine (2.0-rc2-staging, 2.19-staging отдельно) и это
sudo add-apt-repository universe && sudo dpkg --add-architecture i386 && sudo apt update && sudo apt install gcc-5-base:i386 gcc-6-base:i386 glib-networking:i386 gstreamer1.0-plugins-base:i386 i965-va-driver i965-va-driver:i386 libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libatk-bridge2.0-0:i386 libatk1.0-0:i386 libatspi2.0-0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libboost-filesystem1.58.0:i386 libboost-system1.58.0:i386 libbsd0:i386 libc6:i386 libcairo-gobject2:i386 libcairo2:i386 libcap2:i386 libcapi20-3 libcapi20-3:i386 libcdparanoia0:i386 libcolord2:i386 libcomerr2:i386 libcups2:i386 libdatrie1:i386 libdb5.3:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libegl1-mesa:i386 libelf1:i386 libepoxy0:i386 libexif12:i386 libexpat1:i386 libffi6:i386 libflac8:i386 libfontconfig1:i386 libfreetype6:i386 libgbm1:i386 libgcc1:i386 libgcrypt20:i386 libgd3:i386 libgdk-pixbuf2.0-0:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglib2.0-0:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgpg-error0:i386 libgphoto2-6:i386 libgphoto2-port12:i386 libgpm2:i386 libgraphite2-3:i386 libgsm1 libgsm1:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386 libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libgtk-3-0:i386 libharfbuzz0b:i386 libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed4:i386 libhx509-5-heimdal:i386 libicu55:i386 libidn11:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libjson-c2:i386 libjson-glib-1.0-0:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libldap-2.4-2:i386 libllvm3.8:i386 libltdl7:i386 liblzma5:i386 libmirclient9:i386 libmircommon5:i386 libmirprotobuf3:i386 libmpg123-0 libmpg123-0:i386 libncurses5:i386 libnettle6:i386 libodbc1 libodbc1:i386 libogg0:i386 libopenal-data libopenal1 libopenal1:i386 libopus0:i386 liborc-0.4-0:i386 libosmesa6 libosmesa6:i386 libp11-kit0:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpcap0.8:i386 libpciaccess0:i386 libpcre3:i386 libpixman-1-0:i386 libpng12-0:i386 libprotobuf-lite9v5:i386 libproxy1v5:i386 libpulse0:i386 librest-0.7-0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsane:i386 libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386 libselinux1:i386 libsndfile1:i386 libsoup-gnome2.4-1:i386 libsoup2.4-1:i386 libspeexdsp1:i386 libsqlite3-0:i386 libssl1.0.0:i386 libstdc++6:i386 libsystemd0:i386 libtasn1-6:i386 libthai0:i386 libtheora0:i386 libtiff5:i386 libtinfo5:i386 libtxc-dxtn-s2tc0:i386 libudev1:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libva-drm1 libva-drm1:i386 libva-x11-1 libva-x11-1:i386 libva1 libva1:i386 libvdpau1 libvdpau1:i386 libvisual-0.4-0:i386 libvorbis0a:i386 libvorbisenc2:i386 libvpx3:i386 libwayland-client0:i386 libwayland-cursor0:i386 libwayland-egl1-mesa:i386 libwayland-server0:i386 libwind0-heimdal:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386 libxinerama1:i386 libxkbcommon0:i386 libxml2:i386 libxpm4:i386 libxrandr2:i386 libxrender1:i386 libxshmfence1:i386 libxslt1.1:i386 libxxf86vm1:i386 mesa-vdpau-drivers mesa-vdpau-drivers:i386 va-driver-all va-driver-all:i386 vdpau-driver-all vdpau-driver-all:i386 vdpau-va-driver vdpau-va-driver:i386 zlib1g:i386
Будьте добры оформлять выводы, листинги, команды соответствующим Правилам форума.
С уважением, Morisson.
« Последнее редактирование: 18 Декабрь 2017, 07:55:41 от Morisson »
valve loves Ubuntu

 

Страница сгенерирована за 0.176 секунд. Запросов: 23.